| Kea 3.0.2-git

isc::http::HttpListener::IdleTimeout Struct Reference

Idle connection timeout. More...

`#include <listener.h>`

## Public Member Functions
| IdleTimeout (long value)
| Constructor.

## Public Attributes
long | value_
| Connection idle timeout value specified.

## Detailed Description

Idle connection timeout.

Definition at line 67 of file listener.h.

## Constructor & Destructor Documentation

## ◆ IdleTimeout()

isc::http::HttpListener::IdleTimeout::IdleTimeout | ( | long | value | ) |
| inline explicit

Constructor.

Parameters

  value | Connection idle timeout value in milliseconds.

Definition at line 71 of file listener.h.

References value_.

## Member Data Documentation

## ◆ value_

long isc::http::HttpListener::IdleTimeout::value_

Connection idle timeout value specified.

Definition at line 74 of file listener.h.

Referenced by IdleTimeout().

The documentation for this struct was generated from the following file:

- listener.h